Name:           poppassd
Version:        1.8.5
Release:        1%{?dist}
Summary:        Network change (PAM) password daemon
Vendor:         Pawel Krawczyk <kravietz@echelon.pl>
Packager:       Franta Hanzlik franta@hanzlici.cz
Group:          System Environment/Daemons
License:        GPL
URL:            http://echelon.pl/pubs/poppassd-1.8.5.tar.gz
Source0:        poppassd-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        poppassd-%{version}.tar.gz
Source1:	poppassd_pam
Source2:	poppassd_inetd
Patch0:		poppassd.patch0

BuildRequires: pam-devel
# Note:  identd daemon in never (F3+) Fedora distros is in oidentd RPM
Requires: identd, fileutils >= 4.0

%description
Server for user password change, using PAM subsystem. Intended for changing
password eg. over WWW interface. Use FTP-like protocol. for details see
source file "poppassd.c".
This daemou is used in "Change Password" SquirrelMail plugin, but may be
useful in other cases too.

%prep
%setup -q
%patch0 -p0

%build
%{__cc} poppassd.c -o poppassd ${RPM_OPT_FLAGS} -lpam

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 ${RPM_BUILD_ROOT}%{_sbindir}
install -m 500 poppassd ${RPM_BUILD_ROOT}%{_sbindir}
install -D -m 644 %SOURCE1 ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/poppassd
install -D -m 644 %SOURCE2 ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/poppassd
install -d ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
install -m 644 README COPYING ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%files
%defattr(-,root,root,-)
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/xinetd.d/*
%doc README
%doc COPYING

%triggerin -- rsyslog, sysklogd
if [ -f /etc/rsyslog.conf ]; then
  if ! grep -q '^local4\.' /etc/rsyslog.conf; then
    echo -e '\n#poppassd logging:\nlocal4.notice\t\t\t/var/log/poppassd' >> /etc/rsyslog.conf
  fi
  if [ -f /var/run/rsyslogd.pid ]; then
    kill -HUP `cat /var/run/rsyslogd.pid` 2> /dev/null ||:
  fi
fi
if [ -f /etc/syslog.conf ]; then
  if ! grep -q '^local4\.' /etc/syslog.conf; then
    echo -e '\n#poppassd logging:\nlocal4.notice\t\t\t/var/log/poppassd' >> /etc/syslog.conf
  fi
  if [ -f /var/run/syslogd.pid ]; then
    kill -HUP `cat /var/run/syslogd.pid` 2> /dev/null ||:
  fi
fi  

%post
if [ ! "`grep -q '^poppassd:' %{_sysconfdir}/hosts.deny`" ]; then
  echo -e "poppassd:	apache@localhost:allow" >> %{_sysconfdir}/hosts.allow
  echo -e "poppassd:	ALL:deny" >> %{_sysconfdir}/hosts.allow ||:
fi

if [ ! "`grep -q '^poppassd' %{_sysconfdir}/services`" ]; then
  echo "poppassd	106/tcp" >> %{_sysconfdir}/services ||:
fi
  
%preun
if [ $1 -eq 0 ]; then
  # turn off now, to avoid running in middle of uninstall
  /sbin/chkconfig poppassd off ||:
fi
  
%postun
if [ $1 -eq 0 ]; then
  sed -i -e "s|^poppassd.106\/tcp||" %{_sysconfdir}/services
  exit 0
else
  # Make sure xinetd picks up changes
  /sbin/service xinetd reload >/dev/null 2>&1 ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 06 2008 Franta Hanzlik
- Initial RPM build
  (for f9)

